// $Id: ChildServant.cpp 76591 2007-01-25 18:17:52Z elliott_c $

#include "ChildServant.h"

ChildServant::ChildServant(CORBA::ORB_ptr orb)
: orb_(CORBA::ORB::_duplicate(orb))
{
}

void
ChildServant::childMethod ()
ACE_THROW_SPEC ((CORBA::SystemException))
{
   // No-op
}

void
ChildServant::parentMethod ()
ACE_THROW_SPEC((CORBA::SystemException))
{
   // Just throw an exception
   throw CORBA::INTERNAL ();
}

void
ChildServant::shutdown ()
ACE_THROW_SPEC((CORBA::SystemException))
{
   this->orb_->shutdown(0);
}
